Download it now!
Bug 121571 - Notes and warnings in help have the wrong icons
Summary: Notes and warnings in help have the wrong icons
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.2.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Adolfo Jayme
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2018-11-21 02:33 UTC by Adolfo Jayme
Modified: 2019-01-28 22:29 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Notes and warnings — before and after (26.98 KB, image/png)
2018-11-21 02:33 UTC, Adolfo Jayme
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2018-11-21 02:33:50 UTC
Created attachment 146857 [details]
Notes and warnings — before and after

It’s always bothered me that notes are yellow instead of green, and warnings are red instead of yellow. It creates cognitive dissonances across the help content.

To solve this, the browser-based help should use the icons from core/icon-themes/colibre_svg/res/helpimg instead of from core/icon-themes/colibre_svg/help (I don’t know why the latter folder exists — it’s just duplication).

Once solved, the note icon should become a green check mark instead of a yellow clipboard, and the warning icon should become a yellow shield instead of a red alert sign.

See the attachment for details.
Comment 1 Heiko Tietze 2018-11-21 10:53:07 UTC
Don't think it needs UX.

We have defined the colors for the info bar in a similar way (bug 105829) with

  case InfoBarType::Info: // blue; #00529B/0,82,155; #BDE5F8/189,229,248
  case InfoBarType::Success: // green; #4F8A10/79,138,16; #DFF2BF/223,242,191
  case InfoBarType::Warning: // orange; #9F6000/159,96,0; #FEEFB3/254,239,179
  case InfoBarType::Danger: // red; #D8000C/216,0,12; #FFBABA/255,186,186
 (sfx2/source/dialog/infobar.cxx)

using also not just black font color but something with proper contrast.

The color values were taken from https://www.tutorialrepublic.com/twitter-bootstrap-tutorial/bootstrap-alerts.php, IIRC
Comment 2 Adolfo Jayme 2018-11-21 19:15:26 UTC
TBH I don’t like the Bootstrap colors. I chose instead to base them in Colibre’s colors.

I’ll take care of updating the font colors when I update the CSS file. =)
Comment 3 andreas_k 2018-11-21 19:21:53 UTC Comment hidden (off-topic)
Comment 4 Adolfo Jayme 2018-11-22 17:37:55 UTC Comment hidden (off-topic)
Comment 5 Olivier Hallot 2018-11-27 11:13:57 UTC Comment hidden (off-topic)
Comment 6 Commit Notification 2019-01-28 22:28:58 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/622324ec76e54ea1de99d6cea3debc2389049f58%5E%21

tdf#121571 Solve cognitive dissonance with note icons and colors